com.collabnet.ce.soap60.webservices.pluggable

## Class PluggableComponent2SoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.pluggable.PluggableComponent2SoapRow

-     public class PluggableComponent2SoapRow
      extends Object

  List of Pluggable components.
  Since:
    8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluggableComponent2SoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseurl()` Returns 'baseurl'.
    `String` | `getCategory()` Returns 'category'.
    `boolean` | `getEnabled()` Returns 'enabled'.
    `String` | `getIconId()` Returns 'iconId'.
    `boolean` | `getIsBaseApp()` Returns 'isBaseApp'.
    `String` | `getName()` Returns 'name'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setBaseurl(String baseurl)` Sets 'baseurl'.
    `void` | `setCategory(String category)` Sets 'category'.
    `void` | `setEnabled(boolean enabled)` Sets 'enabled'.
    `void` | `setIconId(String iconId)` Sets 'iconId'.
    `void` | `setIsBaseApp(boolean isBaseApp)` Sets 'isBaseApp'.
    `void` | `setName(String name)` Sets 'name'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluggableComponent2SoapRow

          public PluggableComponent2SoapRow()

  - ### Method Detail

    - #### getName

          public String getName()

      Returns 'name'. Name for Pluggable component.
      Returns:
        Value of 'name'.

    - #### setName

          public void setName(String name)

      Sets 'name'. Name for Pluggable component.
      Parameters:
        `name` - Value of 'name'.

    - #### getBaseurl

          public String getBaseurl()

      Returns 'baseurl'. BaseUrl of pluggable component
      Returns:
        Value of 'baseurl'.

    - #### setBaseurl

          public void setBaseurl(String baseurl)

      Sets 'baseurl'. BaseUrl of pluggable component
      Parameters:
        `baseurl` - Value of 'baseurl'.

    - #### getIconId

          public String getIconId()

      Returns 'iconId'. icon file id for the pluggable component
      Returns:
        Value of 'iconId'.

    - #### setIconId

          public void setIconId(String iconId)

      Sets 'iconId'. icon file id for the pluggable component
      Parameters:
        `iconId` - Value of 'iconId'.

    - #### getEnabled

          public boolean getEnabled()

      Returns 'enabled'. is the appliation enabled/disabled
      Returns:
        Value of 'enabled'.

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Sets 'enabled'. is the appliation enabled/disabled
      Parameters:
        `enabled` - Value of 'enabled'.

    - #### getCategory

          public String getCategory()

      Returns 'category'. category of the integrated application
      Returns:
        Value of 'category'.

    - #### setCategory

          public void setCategory(String category)

      Sets 'category'. category of the integrated application
      Parameters:
        `category` - Value of 'category'.

    - #### getIsBaseApp

          public boolean getIsBaseApp()

      Returns 'isBaseApp'. is the integrated appliation base app or not
      Returns:
        Value of 'isBaseApp'.

    - #### setIsBaseApp

          public void setIsBaseApp(boolean isBaseApp)

      Sets 'isBaseApp'. is the integrated appliation base app or not
      Parameters:
        `isBaseApp` - Value of 'isBaseApp'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2020 CollabNet. All rights reserved.